##### ip::basic_resolver::resolve (1 of 12 overloads)

(Deprecated: Use overload with separate host and service parameters.) Perform forward resolution of a query to a list of entries.

    results_type resolve(
        const query & q);

This function is used to resolve a query into a list of endpoint entries.

###### Parameters

q

  A query object that determines what endpoints will be returned.

###### Return Value

A range object representing the list of endpoint entries. A successful call to this function is guaranteed to return a non-empty range.

###### Exceptions

asio::system_error

  Thrown on failure.